﻿Imports Colour_Blocks.MainForm

Public Class ConfirmReset

    Public originalLocation As Point
    Public currentMousePoint As Point
    Public locationDifference_X As Integer
    Public locationDifference_Y As Integer

    Private Sub Timer1_Tick(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles FormDragTimer.Tick
        Me.Location = New Point(MousePosition.X + locationDifference_X, MousePosition.Y + locationDifference_Y)

    End Sub

    Private Sub title_MouseDown(ByVal sender As System.Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles Titlebar.MouseDown
        originalLocation = Me.Location
        currentMousePoint = MousePosition

        locationDifference_Y = originalLocation.Y - currentMousePoint.Y
        locationDifference_X = originalLocation.X - currentMousePoint.X

        FormDragTimer.Enabled = True

    End Sub

    Private Sub title_MouseUp(ByVal sender As System.Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles Titlebar.MouseUp
        FormDragTimer.Enabled = False

    End Sub

    Private Sub btnExit_MouseEnter(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnExit.MouseEnter
        btnExit.BackgroundImage = My.Resources.EXIT_hover

    End Sub

    Private Sub btnExit_MouseDown(ByVal sender As System.Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles btnExit.MouseDown
        btnExit.BackgroundImage = My.Resources.EXIT_clicked

    End Sub

    Private Sub btnExit_MouseLeave(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnExit.MouseLeave
        btnExit.BackgroundImage = My.Resources._EXIT

    End Sub

    Private Sub btnExit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnExit.Click
        Close()

    End Sub

    Private Sub btnYes_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnYes.Click
        myDamage = 10
        myLevel = 1
        myMaxExp = 200
        myCurrentExp = 0
        myAmmo = 120
        myWeapon = "Pistol"
        myFireRate = 500
        myHealthValue = 30
        myHealthMax = 30
        myDiamonds = 0
        myCoins = 0
        myHead = ""
        myChest = ""
        myLegs = ""
        myFeet = ""
        myConsumable = ""
        myBullet = "Bullet"
        myHaste = 0
        myCriticalStrike = 0
        myAccuracy = 0
        myConsumableAmount = 0
        MainForm.SaveSettings()
        MsgBox("Your game has been successfully reset.")
        Me.Close()

    End Sub

    Private Sub btnCancel_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnCancel.Click
        Me.Close()

    End Sub

   
End Class