﻿


Public Class MainForm

    Public preventsave As Boolean

    Public Shared myDamage As Integer = 10
    Public Shared myLevel As Integer = 1
    Public Shared myMaxExp As Integer = 200
    Public Shared myCurrentExp As Integer = 0
    Public Shared myAmmo As Integer = 120
    Public Shared myWeapon As String = "Pistol"
    Public Shared myFireRate As Integer = 500
    Public Shared myHealthValue As Integer = 30
    Public Shared myHealthMax As Integer = 30
    Public Shared myDiamonds As Integer = 0
    Public Shared myCoins As Integer = 0
    Public Shared myHead As String = ""
    Public Shared myChest As String = ""
    Public Shared myLegs As String = ""
    Public Shared myFeet As String = ""
    Public Shared myConsumable As String = ""
    Public Shared myBullet As String = "Bullet"
    Public Shared myHaste As Integer = 0
    Public Shared myCriticalStrike As Integer = 0
    Public Shared myAccuracy As Integer = 0
    Public Shared myConsumableAmount As Integer = 0
    Public Shared myDefense As Integer = 0

    Public Shared defensePercent As Decimal
    Public Shared criticalPercent As Decimal
    Public Shared hastePercent As Decimal
    Public Shared accuracyPercent As Decimal

    Public Shared blocksDestroyed As Integer
    Public Shared timeLasted As Integer
    Public Shared deathAvoided As Integer

    Public Shared coinsCollected As Integer
    Public Shared expCollected As Integer

    Public newResults As New GameResults

    Public min As Integer
    Public sec As Integer

    Public originalLocation As Point
    Public currentMousePoint As Point
    Public locationDifference_X As Integer
    Public locationDifference_Y As Integer
    Public currentWidth As Integer
    Public WidthDiff As Integer
    Public currentHeight As Integer
    Public HeightDiff As Integer

    Private Sub Timer1_Tick(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles FormDragTimer.Tick
        Me.Location = New Point(MousePosition.X + locationDifference_X, MousePosition.Y + locationDifference_Y)

    End Sub

    Private Sub title_MouseDown(ByVal sender As System.Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles Titlebar.MouseDown
        originalLocation = Me.Location
        currentMousePoint = MousePosition

        locationDifference_Y = originalLocation.Y - currentMousePoint.Y
        locationDifference_X = originalLocation.X - currentMousePoint.X

        FormDragTimer.Enabled = True

    End Sub

    Private Sub title_MouseUp(ByVal sender As System.Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles Titlebar.MouseUp
        FormDragTimer.Enabled = False

    End Sub

    Private Sub btnExit_MouseEnter(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnExit.MouseEnter
        btnExit.BackgroundImage = My.Resources.EXIT_hover

    End Sub

    Private Sub btnExit_MouseDown(ByVal sender As System.Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles btnExit.MouseDown
        btnExit.BackgroundImage = My.Resources.EXIT_clicked

    End Sub

    Private Sub btnExit_MouseLeave(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnExit.MouseLeave
        btnExit.BackgroundImage = My.Resources._EXIT

    End Sub

    Private Sub btnMinimize_MouseEnter(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnMinimize.MouseEnter
        btnMinimize.BackgroundImage = My.Resources.MIN_hover

    End Sub

    Private Sub btnMinimize_MouseDown(ByVal sender As System.Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles btnMinimize.MouseDown
        btnMinimize.BackgroundImage = My.Resources.MIN_clicked

    End Sub

    Private Sub btnMinimize_MouseLeave(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnMinimize.MouseLeave
        btnMinimize.BackgroundImage = My.Resources.MIN

    End Sub

    Private Sub LeftPaneTimer_Tick(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles LeftPaneTimer.Tick
        Me.Width = PointToClient(MousePosition).X

        If Me.Width < 796 Then
            LeftPaneTimer.Enabled = False
            Me.Width = 800

        End If

    End Sub

    Private Sub RightPane_MouseDown(ByVal sender As System.Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles RightPane.MouseDown
        LeftPaneTimer.Enabled = True

    End Sub

    Private Sub BottomPane_MouseDown(ByVal sender As System.Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles BottomPane.MouseDown
        BottomPaneTimer.Enabled = True

    End Sub


    Private Sub RightPane_MouseUp(ByVal sender As System.Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles RightPane.MouseUp
        LeftPaneTimer.Enabled = False
    End Sub

    Private Sub BottomPaneTimer_Tick(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BottomPaneTimer.Tick
        Me.Height = PointToClient(MousePosition).Y

        If Me.Height < 596 Then
            BottomPaneTimer.Enabled = False
            Me.Height = 600

        End If

    End Sub

    Private Sub BottomPane_MouseUp(ByVal sender As System.Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles BottomPane.MouseUp
        BottomPaneTimer.Enabled = False

    End Sub

    Private Sub btnExit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnExit.Click
        preventsave = False
        Close()

    End Sub

    Private Sub btnMinimize_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnMinimize.Click
        WindowState = FormWindowState.Minimized

    End Sub

    Private Sub btnNewGame_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnNewGame.Click
        NewGame.ShowDialog()

    End Sub

    Private Sub GameTimer_Tick(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles GameTimer.Tick
        NewGame.AddNewBlock()

    End Sub

    Private Sub CountdownTimer_Tick(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CountdownTimer.Tick
        If min > 0 And sec = 0 Then
            timeLasted += 1
            min -= 1
            sec = 59
            If min > 10 Then
                If sec > 10 Then
                    NewGame.newExperienceBar.lblTimer.Text = min & ":" & sec
                Else
                    NewGame.newExperienceBar.lblTimer.Text = min & ":" & "0" & sec
                End If

            Else
                If sec > 10 Then
                    NewGame.newExperienceBar.lblTimer.Text = "0" & min & ":" & sec
                Else
                    NewGame.newExperienceBar.lblTimer.Text = "0" & min & ":" & "0" & sec
                End If
            End If

        ElseIf sec = 0 And min = 0 Then
            For Each block As ColourBlock In NewGame.InGameBlocks
                block.PauseTimers()
            Next
            NewGame.InGameBlocks.Clear()
            myHealthValue = myHealthMax
            GameTimer.Enabled = False
            AccessControl.Controls.Remove(NewGame.newStats)
            AccessControl.Controls.Remove(NewGame.newExperienceBar)
            GameContainer.Controls.Clear()
            MenuContainer.Enabled = True
            newResults.Dock = DockStyle.Fill
            CountdownTimer.Enabled = False
            GameContainer.Controls.Add(newResults)
            NewGame.newStats.ExtraReward()
        Else
            sec -= 1
            If min > 10 Then
                If sec > 10 Then
                    NewGame.newExperienceBar.lblTimer.Text = min & ":" & sec
                Else
                    NewGame.newExperienceBar.lblTimer.Text = min & ":" & "0" & sec
                End If

            Else
                If sec > 10 Then
                    NewGame.newExperienceBar.lblTimer.Text = "0" & min & ":" & sec
                Else
                    NewGame.newExperienceBar.lblTimer.Text = "0" & min & ":" & "0" & sec
                End If
            End If
        End If
    End Sub

    Private Sub DeathTimer_Tick(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles DeathTimer.Tick
        NewGame.AddDeathBlock()

    End Sub

    Private Sub btnShop_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnShop.Click
        Shop.ShowDialog()

    End Sub

    Public Sub SaveSettings()
        If My.Computer.Info.OSFullName.Contains("Vista") Or My.Computer.Info.OSFullName.Contains("7") Then
            'version 1.0 data
            If My.Computer.FileSystem.DirectoryExists("C:\Users\Public\Colour Entertainment\Colour Blocks\Saves\") = False Then
                My.Computer.FileSystem.CreateDirectory("C:\Users\Public\Colour Entertainment\Colour Blocks\Saves\")
            End If

            My.Computer.FileSystem.WriteAllText("C:\Users\Public\Colour Entertainment\Colour Blocks\Saves\mydamage.txt", myDamage, False)
            My.Computer.FileSystem.WriteAllText("C:\Users\Public\Colour Entertainment\Colour Blocks\Saves\mylevel.txt", myLevel, False)
            My.Computer.FileSystem.WriteAllText("C:\Users\Public\Colour Entertainment\Colour Blocks\Saves\mymaxexp.txt", myMaxExp, False)
            My.Computer.FileSystem.WriteAllText("C:\Users\Public\Colour Entertainment\Colour Blocks\Saves\mycurrexp.txt", myCurrentExp, False)
            My.Computer.FileSystem.WriteAllText("C:\Users\Public\Colour Entertainment\Colour Blocks\Saves\myammo.txt", myAmmo, False)
            My.Computer.FileSystem.WriteAllText("C:\Users\Public\Colour Entertainment\Colour Blocks\Saves\myweapon.txt", myWeapon, False)
            My.Computer.FileSystem.WriteAllText("C:\Users\Public\Colour Entertainment\Colour Blocks\Saves\myfirerate.txt", myFireRate, False)
            My.Computer.FileSystem.WriteAllText("C:\Users\Public\Colour Entertainment\Colour Blocks\Saves\myhealthvalue.txt", myHealthValue, False)
            My.Computer.FileSystem.WriteAllText("C:\Users\Public\Colour Entertainment\Colour Blocks\Saves\myhealthmax.txt", myHealthMax, False)
            My.Computer.FileSystem.WriteAllText("C:\Users\Public\Colour Entertainment\Colour Blocks\Saves\mydiamonds.txt", myDiamonds, False)
            My.Computer.FileSystem.WriteAllText("C:\Users\Public\Colour Entertainment\Colour Blocks\Saves\mycoins.txt", myCoins, False)
            My.Computer.FileSystem.WriteAllText("C:\Users\Public\Colour Entertainment\Colour Blocks\Saves\myhead.txt", myHead, False)
            My.Computer.FileSystem.WriteAllText("C:\Users\Public\Colour Entertainment\Colour Blocks\Saves\mychest.txt", myChest, False)
            My.Computer.FileSystem.WriteAllText("C:\Users\Public\Colour Entertainment\Colour Blocks\Saves\mylegs.txt", myLegs, False)
            My.Computer.FileSystem.WriteAllText("C:\Users\Public\Colour Entertainment\Colour Blocks\Saves\myfeet.txt", myFeet, False)
            My.Computer.FileSystem.WriteAllText("C:\Users\Public\Colour Entertainment\Colour Blocks\Saves\myconsumable.txt", myConsumable, False)
            My.Computer.FileSystem.WriteAllText("C:\Users\Public\Colour Entertainment\Colour Blocks\Saves\mybullet.txt", myBullet, False)
            My.Computer.FileSystem.WriteAllText("C:\Users\Public\Colour Entertainment\Colour Blocks\Saves\myhaste.txt", myHaste, False)
            My.Computer.FileSystem.WriteAllText("C:\Users\Public\Colour Entertainment\Colour Blocks\Saves\mycriticalstrike.txt", myCriticalStrike, False)
            My.Computer.FileSystem.WriteAllText("C:\Users\Public\Colour Entertainment\Colour Blocks\Saves\myaccuracy.txt", myAccuracy, False)
            My.Computer.FileSystem.WriteAllText("C:\Users\Public\Colour Entertainment\Colour Blocks\Saves\myconsumableamount.txt", myConsumableAmount, False)
            My.Computer.FileSystem.WriteAllText("C:\Users\Public\Colour Entertainment\Colour Blocks\Saves\mydefense.txt", myDefense, False)
            MsgBox("Your settings have been saved.")
        ElseIf My.Computer.Info.OSFullName.Contains("XP") Then
            'version 1.0 data
            If My.Computer.FileSystem.DirectoryExists("C:\Documents and Settings\Public\Colour Entertainment\Colour Blocks\Saves\") = False Then
                My.Computer.FileSystem.CreateDirectory("C:\Documents and Settings\Public\Colour Entertainment\Colour Blocks\Saves\")
            End If

            My.Computer.FileSystem.WriteAllText("C:\Documents and Settings\Public\Colour Entertainment\Colour Blocks\Saves\mydamage.txt", myDamage, False)
            My.Computer.FileSystem.WriteAllText("C:\Documents and Settings\Public\Colour Entertainment\Colour Blocks\Saves\mylevel.txt", myLevel, False)
            My.Computer.FileSystem.WriteAllText("C:\Documents and Settings\Public\Colour Entertainment\Colour Blocks\Saves\mymaxexp.txt", myMaxExp, False)
            My.Computer.FileSystem.WriteAllText("C:\Documents and Settings\Public\Colour Entertainment\Colour Blocks\Saves\mycurrexp.txt", myCurrentExp, False)
            My.Computer.FileSystem.WriteAllText("C:\Documents and Settings\Public\Colour Entertainment\Colour Blocks\Saves\myammo.txt", myAmmo, False)
            My.Computer.FileSystem.WriteAllText("C:\Documents and Settings\Public\Colour Entertainment\Colour Blocks\Saves\myweapon.txt", myWeapon, False)
            My.Computer.FileSystem.WriteAllText("C:\Documents and Settings\Public\Colour Entertainment\Colour Blocks\Saves\myfirerate.txt", myFireRate, False)
            My.Computer.FileSystem.WriteAllText("C:\Documents and Settings\Public\Colour Entertainment\Colour Blocks\Saves\myhealthvalue.txt", myHealthValue, False)
            My.Computer.FileSystem.WriteAllText("C:\Documents and Settings\Public\Colour Entertainment\Colour Blocks\Saves\myhealthmax.txt", myHealthMax, False)
            My.Computer.FileSystem.WriteAllText("C:\Documents and Settings\Public\Colour Entertainment\Colour Blocks\Saves\mydiamonds.txt", myDiamonds, False)
            My.Computer.FileSystem.WriteAllText("C:\Documents and Settings\Public\Colour Entertainment\Colour Blocks\Saves\mycoins.txt", myCoins, False)
            My.Computer.FileSystem.WriteAllText("C:\Documents and Settings\Public\Colour Entertainment\Colour Blocks\Saves\myhead.txt", myHead, False)
            My.Computer.FileSystem.WriteAllText("C:\Documents and Settings\Public\Colour Entertainment\Colour Blocks\Saves\mychest.txt", myChest, False)
            My.Computer.FileSystem.WriteAllText("C:\Documents and Settings\Public\Colour Entertainment\Colour Blocks\Saves\mylegs.txt", myLegs, False)
            My.Computer.FileSystem.WriteAllText("C:\Documents and Settings\Public\Colour Entertainment\Colour Blocks\Saves\myfeet.txt", myFeet, False)
            My.Computer.FileSystem.WriteAllText("C:\Documents and Settings\Public\Colour Entertainment\Colour Blocks\Saves\myconsumable.txt", myConsumable, False)
            My.Computer.FileSystem.WriteAllText("C:\Documents and Settings\Public\Colour Entertainment\Colour Blocks\Saves\mybullet.txt", myBullet, False)
            My.Computer.FileSystem.WriteAllText("C:\Documents and Settings\Public\Colour Entertainment\Colour Blocks\Saves\myhaste.txt", myHaste, False)
            My.Computer.FileSystem.WriteAllText("C:\Documents and Settings\Public\Colour Entertainment\Colour Blocks\Saves\mycriticalstrike.txt", myCriticalStrike, False)
            My.Computer.FileSystem.WriteAllText("C:\Documents and Settings\Public\Colour Entertainment\Colour Blocks\Saves\myaccuracy.txt", myAccuracy, False)
            My.Computer.FileSystem.WriteAllText("C:\Documents and Settings\Public\Colour Entertainment\Colour Blocks\Saves\myconsumableamount.txt", myConsumableAmount, False)
            My.Computer.FileSystem.WriteAllText("C:\Documents and Settings\Public\Colour Entertainment\Colour Blocks\Saves\mydefense.txt", myDefense, False)
            MsgBox("Your settings have been saved.")
        End If

    End Sub

    Public Sub LoadSettings()
        If My.Computer.Info.OSFullName.Contains("Vista") Or My.Computer.Info.OSFullName.Contains("7") Then
            'version 1.0 data
            Try
                myDamage = My.Computer.FileSystem.ReadAllText("C:\Users\Public\Colour Entertainment\Colour Blocks\Saves\mydamage.txt")
                myLevel = My.Computer.FileSystem.ReadAllText("C:\Users\Public\Colour Entertainment\Colour Blocks\Saves\mylevel.txt")
                myMaxExp = My.Computer.FileSystem.ReadAllText("C:\Users\Public\Colour Entertainment\Colour Blocks\Saves\mymaxexp.txt")
                myCurrentExp = My.Computer.FileSystem.ReadAllText("C:\Users\Public\Colour Entertainment\Colour Blocks\Saves\mycurrexp.txt")
                myAmmo = My.Computer.FileSystem.ReadAllText("C:\Users\Public\Colour Entertainment\Colour Blocks\Saves\myammo.txt")
                myWeapon = My.Computer.FileSystem.ReadAllText("C:\Users\Public\Colour Entertainment\Colour Blocks\Saves\myweapon.txt")
                myFireRate = My.Computer.FileSystem.ReadAllText("C:\Users\Public\Colour Entertainment\Colour Blocks\Saves\myfirerate.txt")
                myHealthValue = My.Computer.FileSystem.ReadAllText("C:\Users\Public\Colour Entertainment\Colour Blocks\Saves\myhealthvalue.txt")
                myHealthMax = My.Computer.FileSystem.ReadAllText("C:\Users\Public\Colour Entertainment\Colour Blocks\Saves\myhealthmax.txt")
                myDiamonds = My.Computer.FileSystem.ReadAllText("C:\Users\Public\Colour Entertainment\Colour Blocks\Saves\mydiamonds.txt")
                myCoins = My.Computer.FileSystem.ReadAllText("C:\Users\Public\Colour Entertainment\Colour Blocks\Saves\mycoins.txt")
                myHead = My.Computer.FileSystem.ReadAllText("C:\Users\Public\Colour Entertainment\Colour Blocks\Saves\myhead.txt")
                myChest = My.Computer.FileSystem.ReadAllText("C:\Users\Public\Colour Entertainment\Colour Blocks\Saves\mychest.txt")
                myLegs = My.Computer.FileSystem.ReadAllText("C:\Users\Public\Colour Entertainment\Colour Blocks\Saves\mylegs.txt")
                myFeet = My.Computer.FileSystem.ReadAllText("C:\Users\Public\Colour Entertainment\Colour Blocks\Saves\myfeet.txt")
                myConsumable = My.Computer.FileSystem.ReadAllText("C:\Users\Public\Colour Entertainment\Colour Blocks\Saves\myconsumable.txt")
                myBullet = My.Computer.FileSystem.ReadAllText("C:\Users\Public\Colour Entertainment\Colour Blocks\Saves\mybullet.txt")
                myHaste = My.Computer.FileSystem.ReadAllText("C:\Users\Public\Colour Entertainment\Colour Blocks\Saves\myhaste.txt")
                myCriticalStrike = My.Computer.FileSystem.ReadAllText("C:\Users\Public\Colour Entertainment\Colour Blocks\Saves\mycriticalstrike.txt")
                myAccuracy = My.Computer.FileSystem.ReadAllText("C:\Users\Public\Colour Entertainment\Colour Blocks\Saves\myaccuracy.txt")
                myConsumableAmount = My.Computer.FileSystem.ReadAllText("C:\Users\Public\Colour Entertainment\Colour Blocks\Saves\myconsumableamount.txt")
                myDefense = My.Computer.FileSystem.ReadAllText("C:\Users\Public\Colour Entertainment\Colour Blocks\Saves\mydefense.txt")

            Catch ex As Exception
                MsgBox("You have none or only a portion of save data loaded. One or more files may be missing or incorrectly modified.", MsgBoxStyle.Exclamation)

            End Try

        ElseIf My.Computer.Info.OSFullName.Contains("XP") Then
            'version 1.0 data
            Try
                myDamage = My.Computer.FileSystem.ReadAllText("C:\Documents and Settings\Public\Colour Entertainment\Colour Blocks\Saves\mydamage.txt")
                myLevel = My.Computer.FileSystem.ReadAllText("C:\Documents and Settings\Public\Colour Entertainment\Colour Blocks\Saves\mylevel.txt")
                myMaxExp = My.Computer.FileSystem.ReadAllText("C:\Documents and Settings\Public\Colour Entertainment\Colour Blocks\Saves\mymaxexp.txt")
                myCurrentExp = My.Computer.FileSystem.ReadAllText("C:\Documents and Settings\Public\Colour Entertainment\Colour Blocks\Saves\mycurrexp.txt")
                myAmmo = My.Computer.FileSystem.ReadAllText("C:\Documents and Settings\Public\Colour Entertainment\Colour Blocks\Saves\myammo.txt")
                myWeapon = My.Computer.FileSystem.ReadAllText("C:\Documents and Settings\Public\Colour Entertainment\Colour Blocks\Saves\myweapon.txt")
                myFireRate = My.Computer.FileSystem.ReadAllText("C:\Documents and Settings\Public\Colour Entertainment\Colour Blocks\Saves\myfirerate.txt")
                myHealthValue = My.Computer.FileSystem.ReadAllText("C:\Documents and Settings\Public\Colour Entertainment\Colour Blocks\Saves\myhealthvalue.txt")
                myHealthMax = My.Computer.FileSystem.ReadAllText("C:\Documents and Settings\Public\Colour Entertainment\Colour Blocks\Saves\myhealthmax.txt")
                myDiamonds = My.Computer.FileSystem.ReadAllText("C:\Documents and Settings\Public\Colour Entertainment\Colour Blocks\Saves\mydiamonds.txt")
                myCoins = My.Computer.FileSystem.ReadAllText("C:\Documents and Settings\Public\Colour Entertainment\Colour Blocks\Saves\mycoins.txt")
                myHead = My.Computer.FileSystem.ReadAllText("C:\Documents and Settings\Public\Colour Entertainment\Colour Blocks\Saves\myhead.txt")
                myChest = My.Computer.FileSystem.ReadAllText("C:\Documents and Settings\Public\Colour Entertainment\Colour Blocks\Saves\mychest.txt")
                myLegs = My.Computer.FileSystem.ReadAllText("C:\Documents and Settings\Public\Colour Entertainment\Colour Blocks\Saves\mylegs.txt")
                myFeet = My.Computer.FileSystem.ReadAllText("C:\Documents and Settings\Public\Colour Entertainment\Colour Blocks\Saves\myfeet.txt")
                myConsumable = My.Computer.FileSystem.ReadAllText("C:\Documents and Settings\Public\Colour Entertainment\Colour Blocks\Saves\myconsumable.txt")
                myBullet = My.Computer.FileSystem.ReadAllText("C:\Documents and Settings\Public\Colour Entertainment\Colour Blocks\Saves\mybullet.txt")
                myHaste = My.Computer.FileSystem.ReadAllText("C:\Documents and Settings\Public\Colour Entertainment\Colour Blocks\Saves\myhaste.txt")
                myCriticalStrike = My.Computer.FileSystem.ReadAllText("C:\Documents and Settings\Public\Colour Entertainment\Colour Blocks\Saves\mycriticalstrike.txt")
                myAccuracy = My.Computer.FileSystem.ReadAllText("C:\Documents and Settings\Public\Colour Entertainment\Colour Blocks\Saves\myaccuracy.txt")
                myConsumableAmount = My.Computer.FileSystem.ReadAllText("C:\Documents and Settings\Public\Colour Entertainment\Colour Blocks\Saves\myconsumableamount.txt")
                myDefense = My.Computer.FileSystem.ReadAllText("C:\Documents and Settings\Public\Colour Entertainment\Colour Blocks\Saves\mydefense.txt")

            Catch ex As Exception
                MsgBox("You have none or only a portion of save data loaded. One or more files may be missing or incorrectly modified.", MsgBoxStyle.Exclamation)

            End Try
        End If

    End Sub

    Private Sub MainForm_FormClosing(ByVal sender As System.Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles MyBase.FormClosing
        If preventsave = True Then

        Else
            SaveSettings()
        End If


    End Sub

    Private Sub btnSave_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnSave.Click
        preventsave = False
        SaveSettings()

    End Sub

    Private Sub btnAchievements_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnAchievements.Click
        MsgBox("This feature will not appear until Alpha version 1.3", MsgBoxStyle.Information)

    End Sub

    Private Sub btnDungeons_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnDungeons.Click
        MsgBox("This feature will not appear until Alpha version 1.1", MsgBoxStyle.Information)

    End Sub

    Private Sub btnCharacter_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnCharacter.Click
        MsgBox("This feature will not appear until Alpha version 1.2", MsgBoxStyle.Information)

    End Sub

    Private Sub SettingsToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles SettingsToolStripMenuItem.Click
        ReadSettings.ShowDialog()

    End Sub


    Private Sub btnReset_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnReset.Click
        ConfirmReset.ShowDialog()

    End Sub

    Private Sub MainForm_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        CheckForUpdates.ShowDialog()

        LoadSettings()

        If My.Settings.ShowPatchNotes = True Then
            PatchNotes.ShowDialog()
            My.Settings.ShowPatchNotes = False
            My.Settings.Save()

        End If

        Dim myitems As New Items

        If Not myConsumable = Nothing Then
            myitems.ItemName = myConsumable
            myitems.CheckItem()
            Shop.newAction.Image = myitems.Item.Image
            Shop.newAction.HealthToRestore = myitems.Item.HealthToRestore
            Shop.newAction.btnAction.Text = myConsumableAmount
            If myConsumableAmount > 0 Then
                Shop.newAction.btnAction.Enabled = True
            End If
            NewGame.newActionBar.Controls.Add(Shop.newAction)

        End If

    End Sub

    Private Sub btnTutorial_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnTutorial.Click
        Tutorial.ShowDialog()

    End Sub
End Class
